Bug 823325 - gdb crashes in unpush_target (?)
gdb crashes in unpush_target (?)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-20 18:58 EDT by Tobias Mueller
Modified: 2013-07-31 21:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:02:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tobias Mueller 2012-05-20 18:58:14 EDT
Sorry, that I post this bug straight from the abrt logger, but it can't submit to Bugzilla due to some XML RPC issues.

abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gdb
crash_function: __GI_raise
executable:     /usr/bin/gdb
kernel:         3.3.4-1.fc16.x86_64
pid:            14648
pwd:            /home/muelli/Incoming/Lonely Planet Guides - eBooks
reason:         Process /usr/bin/gdb was killed by signal 6 (SIGABRT)
time:           Mo 21 Mai 2012 00:33:17 CEST
uid:            1000
username:       muelli
var_log_messages: May 21 00:33:17 bigbox abrt[14702]: Saved core dump of pid 14648 (/usr/bin/gdb) to /var/spool/abrt/ccpp-2012-05-21-00:33:17-14648 (4362240 bytes)

backtrace:      Text file, 9547 bytes
maps:           Text file, 6385 bytes

build_ids:
:bf404f1f16ae38c405a644f7f2a5a3de02e5d158
:638db099ff5fb986d1a092629d1bb1dca5be4904
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:b2addb78b534f66e1c4fb01a407861181151bd8a
:e2e67b3ae2579e1667b73ad385f61552931024e9
:aa733447f84020c94a66814e501a36e248cbb43d
:d7281960890296855f900126a1d06da788ebed3e
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:a28f8db1b224530b0d38ad7b82a249cf7c3f18d6
:3cbc639da8b05f5cd87202ff77c5c335313d3276
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:d222726befa72e9043ea8866e8b2cfc29a90a2b8
:75eaece6e0d1e075520cdfad5c398fdab4370846

comment:
:hm. I was trying to reproduce bug 612578
:so I started qemu like this:
:
:qemu-system-x86_64 -m smp 1 -hda /opt/ubuntu.img -snapshot -kernel /boot/vmlinuz-3.3.5-2.fc16.x86_64 -append 'root=/dev/sda1' -s -S
:
:
:and then just ran gdb w/o arguments.
:
:$  gdb
:GNU gdb (GDB) Fedora (7.3.50.20110722-13.fc16)
:Copyright (C) 2011 Free Software Foundation, Inc.
:License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
:This is free software: you are free to change and redistribute it.
:There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
:and "show warranty" for details.
:This GDB was configured as "x86_64-redhat-linux-gnu".
:For bug reporting instructions, please see:
:<http://www.gnu.org/software/gdb/bugs/>.
:(gdb) br start_kernel
:No symbol table is loaded.  Use the "file" command.
:Make breakpoint pending on future shared library load? (y or [n]) n
:(gdb) target remote localhost:1234
:Remote debugging using localhost:1234
:0x0000fff0 in ?? ()
:(gdb)  c
:Continuing.
:Remote connection closed
:(gdb)  c^C^CInterrupted while waiting for the program.
:Give up (and stop debugging it)? (y or n) EOF [assumed Y]
:../../gdb/target.c:983: internal-error: Attempt to unpush the dummy target
:A problem internal to GDB has been detected,
:further debugging may prove unreliable.
:Quit this debugging session? (y or n) y
:
:../../gdb/target.c:983: internal-error: Attempt to unpush the dummy target
:A problem internal to GDB has been detected,
:further debugging may prove unreliable.
:Create a core file of GDB? (y or n) y
:Aborted (core dumped)
:

dso_list:
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330213666
:/usr/lib64/python2.7/lib-dynload/itertoolsmodule.so python-libs-2.7.3-1.fc16.x86_64 (Fedora Project) 1336666297
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330213666
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330213666
:/lib64/libtinfo.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1326201240
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330213666
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330213657
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330213666
:/lib64/libutil-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330213666
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330213666
:/lib64/libexpat.so.1.6.0 expat-2.1.0-1.fc16.x86_64 (Fedora Project) 1335864937
:/lib64/libncurses.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1326201240
:/usr/lib64/libpython2.7.so.1.0 python-libs-2.7.3-1.fc16.x86_64 (Fedora Project) 1336666297
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1332668123
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1327015243
:/usr/bin/gdb gdb-7.3.50.20110722-13.fc16.x86_64 (Fedora Project) 1335456454
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330213666

environ:
:XDG_VTNR=1
:LC_PAPER=de_DE.utf8
:LC_ADDRESS=de_DE.utf8
:XDG_SESSION_ID=3
:LC_MONETARY=de_DE.utf8
:HOSTNAME=bigbox
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-0L1bQK/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=1f0b1dd00463efa5e536a1ef48f433dc-1336164492.584972-1254087432
:HISTSIZE=1000
:WINDOWID=33554740
:LC_NUMERIC=de_DE.utf8
:OLDPWD=/home/muelli/Incoming
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-0L1bQK
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=muelli
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:LC_TELEPHONE=de_DE.utf8
:SSH_AUTH_SOCK=/tmp/keyring-0L1bQK/ssh
:USERNAME=muelli
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1701,unix/unix:/tmp/.ICE-unix/1701
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/muelli
:PATH=/home/muelli/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
:LC_MESSAGES=en_US.utf8
:QT_IM_MODULE=xim
:LC_COLLATE=de_DE.utf8
:LC_IDENTIFICATION=de_DE.utf8
:XMODIFIERS=@im=none
:EDITOR=nano
:GNOME_KEYRING_PID=1692
:LANG=de_DE.utf8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:LC_MEASUREMENT=de_DE.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/muelli
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=muelli
:CVS_RSH=ssh
:VISUAL=nano
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-gEQEdpXADz,guid=4eb0ac44807c8a8754590c3100000117
:LC_CTYPE=de_DE.utf8
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/muelli
:DISPLAY=:0
:LC_TIME=de_DE.utf8
:LC_NAME=de_DE.utf8
:XAUTHORITY=/var/run/gdm/auth-for-muelli-2mEQqZ/database
:COLORTERM=gnome-terminal
:CCACHE_HASHDIR=
:_=/usr/bin/gdb

END:




[New LWP 14648]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `gdb'.
Program terminated with signal 6, Aborted.
#0  0x00000036ebe36285 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);

Thread 1 (Thread 0x7f8e4fc37700 (LWP 14648)):
#0  0x00000036ebe36285 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = 0
        pid = <optimized out>
        selftid = 14648
#1  0x00000036ebe37b9b in __GI_abort () at abort.c:91
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x26f9d30, sa_sigaction = 0x26f9d30}, sa_mask = {__val = {4600164, 33582957, 140733193388153, 10, 335007449177, 8391664416124268133, 11303232, 40868224, 1, 40500448, 0, 0, 4600350, 3, 206158430224, 140734092011984}}, sa_flags = 898623760, sa_restorer = 0}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x00000000004609c6 in dump_core () at ../../gdb/utils.c:829
        rlim = {rlim_cur = 18446744073709551615, rlim_max = 18446744073709551615}
#3  0x000000000046332a in internal_vproblem (ap=<optimized out>, fmt=<optimized out>, line=<optimized out>, file=<optimized out>, problem=0xac7940) at ../../gdb/utils.c:997
        quit_p = 1
        dump_core_p = <optimized out>
        reason = 0x26f9980 "../../gdb/target.c:983: internal-error: Attempt to unpush the dummy target\nA problem internal to GDB has been detected,\nfurther debugging may prove unreliable."
        dejavu = 1
#4  internal_vproblem (problem=0xac7940, file=<optimized out>, line=<optimized out>, fmt=<optimized out>, ap=<optimized out>) at ../../gdb/utils.c:888
        dejavu = 1
#5  0x00000000004635b9 in internal_verror (file=<optimized out>, line=<optimized out>, fmt=<optimized out>, ap=<optimized out>) at ../../gdb/utils.c:1012
No locals.
#6  0x0000000000463652 in internal_error (file=<optimized out>, line=<optimized out>, string=<optimized out>) at ../../gdb/utils.c:1022
        ap = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff358feb00, reg_save_area = 0x7fff358fea40}}
#7  0x00000000005923b8 in unpush_target (t=<optimized out>) at ../../gdb/target.c:983
No locals.
#8  unpush_target (t=<optimized out>) at ../../gdb/target.c:977
        cur = <optimized out>
        tmp = <optimized out>
#9  0x00000000005924fe in pop_target () at ../../gdb/target.c:1020
No locals.
#10 0x00000000004ac8ba in interrupt_query () at ../../gdb/remote.c:4814
No locals.
#11 async_remote_interrupt_twice (arg=<optimized out>) at ../../gdb/remote.c:4670
No locals.
#12 0x00000000004aa9b0 in remote_interrupt_twice (signo=2) at ../../gdb/remote.c:4705
No locals.
#13 <signal handler called>
No symbol table info available.
#14 0x00000036ebe36540 in __sigprocmask (how=2, set=0x7fff358fefb0, oset=0x0) at ../sysdeps/unix/sysv/linux/ia64/sigprocmask.c:43
        resultvar = 0
#15 0x0000000000650a04 in _rl_handle_signal (sig=2) at ../../readline/signals.c:228
        set = {__val = {0 <repeats 16 times>}}
#16 <signal handler called>
No symbol table info available.
#17 0x00000036ebee8588 in __GI___poll (fds=0x26a3f80, nfds=3, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:83
        resultvar = 18446744073709551612
        oldtype = <optimized out>
        result = <optimized out>
#18 0x0000000000572f1b in gdb_wait_for_event (block=1) at ../../gdb/event-loop.c:863
        timeout = <optimized out>
        file_ptr = <optimized out>
        file_event_ptr = <optimized out>
        num_found = 0
        i = <optimized out>
#19 0x000000000057321a in gdb_do_one_event (data=<optimized out>) at ../../gdb/event-loop.c:463
        event_source_head = 0
#20 gdb_do_one_event (data=<optimized out>) at ../../gdb/event-loop.c:417
        event_source_head = 0
#21 0x000000000056d7fb in catch_errors (func=0x573100 <gdb_do_one_event>, func_args=0x0, errstring=0x70f67c "", mask=<optimized out>) at ../../gdb/exceptions.c:506
        val = 0
        exception = {reason = 0, error = GDB_NO_ERROR, message = 0x0}
#22 0x00000000004debd8 in tui_command_loop (data=<optimized out>) at ../../gdb/tui/tui-interp.c:175
        result = <optimized out>
#23 0x0000000000454ea9 in captured_command_loop (data=<optimized out>) at ../../gdb/main.c:231
No locals.
#24 0x000000000056d7fb in catch_errors (func=0x454ea0 <captured_command_loop>, func_args=0x0, errstring=0x70f67c "", mask=<optimized out>) at ../../gdb/exceptions.c:506
        val = 0
        exception = {reason = 0, error = GDB_NO_ERROR, message = 0x0}
#25 0x0000000000455b86 in captured_main (data=<optimized out>) at ../../gdb/main.c:1030
        context = <optimized out>
        argc = 1
        argv = 0x7fff358ff898
        quiet = 0
        set_args = 0
        symarg = <optimized out>
        execarg = <optimized out>
        pidarg = <optimized out>
        corearg = <optimized out>
        pid_or_core_arg = <optimized out>
        cdarg = <optimized out>
        ttyarg = <optimized out>
        print_help = 0
        print_version = 0
        cmdarg = 0x2553000
        cmdsize = <optimized out>
        ncmd = <optimized out>
        dirarg = 0x2553000
        dirsize = <optimized out>
        ndir = <optimized out>
        system_gdbinit = 0x26c28e0 "/etc/gdbinit"
        home_gdbinit = 0x26a76a0 "/home/muelli/.gdbinit"
        local_gdbinit = 0x0
        i = <optimized out>
        save_auto_load = 1
        objfile = <optimized out>
        pre_stat_chain = 0x0
#26 0x000000000056d7fb in catch_errors (func=0x455240 <captured_main>, func_args=0x7fff358ff790, errstring=0x70f67c "", mask=<optimized out>) at ../../gdb/exceptions.c:506
        val = 0
        exception = {reason = 0, error = GDB_NO_ERROR, message = 0x0}
#27 0x00000000004563b4 in gdb_main (args=<optimized out>) at ../../gdb/main.c:1040
No locals.
#28 0x0000000000454da9 in main (argc=<optimized out>, argv=<optimized out>) at ../../gdb/gdb.c:49
        args = {argc = 1, argv = 0x7fff358ff898, use_windows = 0, interpreter_p = 0x6fd590 "console"}
From                To                  Syms Read   Shared Object Library
0x0000003703606c00  0x000000370361dd48  Yes         /lib64/libncurses.so.5
0x00000036fee0cc30  0x00000036fee16d98  Yes         /lib64/libtinfo.so.5
0x00000036ed601e90  0x00000036ed60e688  Yes         /lib64/libz.so.1
0x00000036ec6051b0  0x00000036ec643b68  Yes         /lib64/libm.so.6
0x00000036eca00de0  0x00000036eca01918  Yes         /lib64/libdl.so.2
0x00000036ec205700  0x00000036ec210b88  Yes         /lib64/libpthread.so.0
0x00000036ff600e20  0x00000036ff6016a8  Yes         /lib64/libutil.so.1
0x00000039eea3e950  0x00000039eeb24938  Yes         /usr/lib64/libpython2.7.so.1.0
0x00000031b4a03d00  0x00000031b4a1dab8  Yes         /lib64/libexpat.so.1
0x0000003dd28028a0  0x0000003dd28120b8  Yes         /lib64/libgcc_s.so.1
0x00000036ebe1ef10  0x00000036ebf5bb70  Yes         /lib64/libc.so.6
0x00000036eba00b20  0x00000036eba1aaaa  Yes         /lib64/ld-linux-x86-64.so.2
0x00007f8e49490de0  0x00007f8e49495d98  Yes         /usr/lib64/python2.7/lib-dynload/itertoolsmodule.so
0x00007f8e4924c130  0x00007f8e492539a8  Yes         /lib64/libnss_files.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x0	0
rbx            0xac7940	11303232
rcx            0xffffffffffffffff	-1
rdx            0x6	6
rsi            0x3938	14648
rdi            0x3938	14648
rbp            0x26f9980	0x26f9980
rsp            0x7fff358fe878	0x7fff358fe878
r8             0x36ec1b3aa0	235889441440
r9             0x1	1
r10            0x8	8
r11            0x202	514
r12            0x1	1
r13            0x269fce0	40500448
r14            0x0	0
r15            0x0	0
rip            0x36ebe36285	0x36ebe36285 <__GI_raise+53>
eflags         0x202	[ IF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function __GI_raise:
   0x00000036ebe36250 <+0>:	mov    %fs:0x2d4,%eax
   0x00000036ebe36258 <+8>:	mov    %fs:0x2d0,%esi
   0x00000036ebe36260 <+16>:	test   %esi,%esi
   0x00000036ebe36262 <+18>:	jne    0x36ebe36290 <__GI_raise+64>
   0x00000036ebe36264 <+20>:	mov    $0xba,%eax
   0x00000036ebe36269 <+25>:	syscall 
   0x00000036ebe3626b <+27>:	mov    %eax,%esi
   0x00000036ebe3626d <+29>:	mov    %eax,%fs:0x2d0
   0x00000036ebe36275 <+37>:	movslq %edi,%rdx
   0x00000036ebe36278 <+40>:	movslq %esi,%rsi
   0x00000036ebe3627b <+43>:	movslq %eax,%rdi
   0x00000036ebe3627e <+46>:	mov    $0xea,%eax
   0x00000036ebe36283 <+51>:	syscall 
=> 0x00000036ebe36285 <+53>:	cmp    $0xfffffffffffff000,%rax
   0x00000036ebe3628b <+59>:	ja     0x36ebe3629f <__GI_raise+79>
   0x00000036ebe3628d <+61>:	repz retq 
   0x00000036ebe3628f <+63>:	nop
   0x00000036ebe36290 <+64>:	test   %eax,%eax
   0x00000036ebe36292 <+66>:	jg     0x36ebe36275 <__GI_raise+37>
   0x00000036ebe36294 <+68>:	test   $0x7fffffff,%eax
   0x00000036ebe36299 <+73>:	je     0x36ebe362b0 <__GI_raise+96>
   0x00000036ebe3629b <+75>:	neg    %eax
   0x00000036ebe3629d <+77>:	jmp    0x36ebe36275 <__GI_raise+37>
   0x00000036ebe3629f <+79>:	mov    0x37ab92(%rip),%rdx        # 0x36ec1b0e38
   0x00000036ebe362a6 <+86>:	neg    %eax
   0x00000036ebe362a8 <+88>:	mov    %eax,%fs:(%rdx)
   0x00000036ebe362ab <+91>:	or     $0xffffffffffffffff,%rax
   0x00000036ebe362af <+95>:	retq   
   0x00000036ebe362b0 <+96>:	mov    %esi,%eax
   0x00000036ebe362b2 <+98>:	jmp    0x36ebe36275 <__GI_raise+37>
End of assembler dump.
Comment 1 Tom Tromey 2012-09-27 14:29:23 EDT
> #11 async_remote_interrupt_twice (arg=<optimized out>) at ../../gdb/remote.c:4670

This code assumes it can do a lot of things from a signal handler.
This seems very incorrect to me.
See also bug #849588, which is a similar issue in a different spot.
Comment 2 Fedora End Of Life 2013-01-16 08:58:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jan Kratochvil 2013-01-29 02:41:03 EST
https://bugzilla.redhat.com/show_bug.cgi?id=894678#c13
Comment 4 Fedora End Of Life 2013-07-03 18:51:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 21:02:27 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.